summaryrefslogtreecommitdiff
path: root/Build
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2018-09-21 22:18:21 +0000
committerKarl Berry <karl@freefriends.org>2018-09-21 22:18:21 +0000
commitd89bfac335e0b4ee5e068158dbe01876ed05532b (patch)
treea8e8c2a01bc2ce396d9e09c51470e976070b8682 /Build
parentb5a895685f9b6f91853bcf9dc9eb368376409894 (diff)
doc,formatted
git-svn-id: svn://tug.org/texlive/trunk@48727 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Build')
-rw-r--r--Build/extra/epstopdf/README2
-rw-r--r--Build/source/README29
-rw-r--r--Build/source/utils/README6
3 files changed, 33 insertions, 4 deletions
diff --git a/Build/extra/epstopdf/README b/Build/extra/epstopdf/README
index 17d89cfbaa0..bba7d18639b 100644
--- a/Build/extra/epstopdf/README
+++ b/Build/extra/epstopdf/README
@@ -18,7 +18,7 @@ options, so the problem can be reproduced.
Various test files and a Makefile to exercise them are in the source
repository, which is currently a subdirectory of the texlive Subversion
repo, purely for the developers' convenience:
- http://tug.org/svn/texlive/trunk/Build/source/extra/epstopdf/
+ http://tug.org/svn/texlive/trunk/Build/extra/epstopdf/
The test-binary and test-bin2 files there were supplied by Akira Kakuto and
Reinhard Kotucha. They contain binary data. They are public domain.
diff --git a/Build/source/README b/Build/source/README
index 1714afb38b2..379adfbb032 100644
--- a/Build/source/README
+++ b/Build/source/README
@@ -69,3 +69,32 @@ x86_64-linuxmusl:
Binaries are taken from the CI testing on travis-ci
see the source/.travis.yaml file for details on how to build,
and tlpkg/bin/tl-update-bindir for updating binaries (in general).
+
+x86_64-linux-glibc2.12, on CentOS6:
+#!/bin/sh -x
+# Public domain.
+# in ~/.subversion/config: use-commit-times=yes
+# mkdir /usr/local/src/tl
+# cd !$
+# svn -q co svn://tug.org/texlive/branches/branch2018/Build/source
+# rm -rf source/libs/icu source/libs/poppler # to avoid configuring them
+#
+cd /usr/local/src/tl || exit 1
+#
+debug=-g # for debugging, no optimization
+#
+./Build \
+ $debug \
+ -C \
+ --disable-xetex \
+ --disable-luatex \
+ --disable-luajittex \
+ --disable-luatex53 \
+ --disable-dvisvgm \
+ --disable-bibtexu \
+ --disable-upmendex \
+ --disable-poppler \
+ --without-system-icu \
+ --without-system-poppler \
+ --enable-native-texlive-build \
+exit $?
diff --git a/Build/source/utils/README b/Build/source/utils/README
index 231a9aea4f1..b2fdea35e16 100644
--- a/Build/source/utils/README
+++ b/Build/source/utils/README
@@ -51,9 +51,9 @@ After building clisp as described below, run the TL
Build --enable-xindy CLISP=$clisp_builddir/clisp
to include xindy in the build. It is disabled by default.
-xindy/README-clisp has alternative instructions with some extra
-information, especially for those building xindy on its own. The
-process here is written for building clisp-for-xindy-for-TL. The
+xindy/xindy-src/README-clisp has alternative instructions with some
+extra information, especially for those building xindy on its own. The
+process here is written for building clisp-for-xindy-for-TL. The
differences are minimal.
mkdir clisp; cd clisp